published on Saturday, Jul 18, 2026 by Pulumi
published on Saturday, Jul 18, 2026 by Pulumi
Hybrid Connection contract. This is used to configure a Hybrid Connection.
Uses Azure REST API version 2025-05-01. In version 2.x of the Azure Native provider, it used API version 2022-09-01.
Other available API versions: 2016-08-01, 2018-02-01, 2018-11-01, 2019-08-01, 2020-06-01, 2020-09-01, 2020-10-01, 2020-12-01, 2021-01-01, 2021-01-15, 2021-02-01, 2021-03-01, 2022-03-01, 2022-09-01, 2023-01-01, 2023-12-01, 2024-04-01, 2024-11-01, 2025-03-01, 2026-03-01-preview, 2026-03-15. These can be accessed by generating a local SDK package using the CLI command pulumi package add azure-native web [ApiVersion]. See the version guide for details.
Import
An existing resource can be imported using its type token, name, and identifier, e.g.
$ pulumi import azure-native:web:WebAppHybridConnection myresource1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/hybridConnectionNamespaces/{namespaceName}/relays/{relayName}
Create WebAppHybridConnection Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new WebAppHybridConnection(name: string, args: WebAppHybridConnectionArgs, opts?: CustomResourceOptions);@overload
def WebAppHybridConnection(resource_name: str,
args: WebAppHybridConnectionArgs,
opts: Optional[ResourceOptions] = None)
@overload
def WebAppHybridConnection(resource_name: str,
opts: Optional[ResourceOptions] = None,
name: Optional[str] = None,
namespace_name: Optional[str] = None,
resource_group_name: Optional[str] = None,
hostname: Optional[str] = None,
kind: Optional[str] = None,
port: Optional[int] = None,
relay_arm_uri: Optional[str] = None,
relay_name: Optional[str] = None,
send_key_name: Optional[str] = None,
send_key_value: Optional[str] = None,
service_bus_namespace: Optional[str] = None,
service_bus_suffix: Optional[str] = None)func NewWebAppHybridConnection(ctx *Context, name string, args WebAppHybridConnectionArgs, opts ...ResourceOption) (*WebAppHybridConnection, error)public WebAppHybridConnection(string name, WebAppHybridConnectionArgs args, CustomResourceOptions? opts = null)
public WebAppHybridConnection(String name, WebAppHybridConnectionArgs args)
public WebAppHybridConnection(String name, WebAppHybridConnectionArgs args, CustomResourceOptions options)
type: azure-native:web:WebAppHybridConnection
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "azure-native_web_web_app_hybrid_connection" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args WebAppHybridConnectionArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args WebAppHybridConnectionArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args WebAppHybridConnectionArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args WebAppHybridConnectionArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args WebAppHybridConnectionArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var webAppHybridConnectionResource = new AzureNative.Web.WebAppHybridConnection("webAppHybridConnectionResource", new()
{
Name = "string",
NamespaceName = "string",
ResourceGroupName = "string",
Hostname = "string",
Kind = "string",
Port = 0,
RelayArmUri = "string",
RelayName = "string",
SendKeyName = "string",
SendKeyValue = "string",
ServiceBusNamespace = "string",
ServiceBusSuffix = "string",
});
example, err := web.NewWebAppHybridConnection(ctx, "webAppHybridConnectionResource", &web.WebAppHybridConnectionArgs{
Name: pulumi.String("string"),
NamespaceName: pulumi.String("string"),
ResourceGroupName: pulumi.String("string"),
Hostname: pulumi.String("string"),
Kind: pulumi.String("string"),
Port: pulumi.Int(0),
RelayArmUri: pulumi.String("string"),
RelayName: pulumi.String("string"),
SendKeyName: pulumi.String("string"),
SendKeyValue: pulumi.String("string"),
ServiceBusNamespace: pulumi.String("string"),
ServiceBusSuffix: pulumi.String("string"),
})
resource "azure-native_web_web_app_hybrid_connection" "webAppHybridConnectionResource" {
lifecycle {
create_before_destroy = true
}
name = "string"
namespace_name = "string"
resource_group_name = "string"
hostname = "string"
kind = "string"
port = 0
relay_arm_uri = "string"
relay_name = "string"
send_key_name = "string"
send_key_value = "string"
service_bus_namespace = "string"
service_bus_suffix = "string"
}
var webAppHybridConnectionResource = new WebAppHybridConnection("webAppHybridConnectionResource", WebAppHybridConnectionArgs.builder()
.name("string")
.namespaceName("string")
.resourceGroupName("string")
.hostname("string")
.kind("string")
.port(0)
.relayArmUri("string")
.relayName("string")
.sendKeyName("string")
.sendKeyValue("string")
.serviceBusNamespace("string")
.serviceBusSuffix("string")
.build());
web_app_hybrid_connection_resource = azure_native.web.WebAppHybridConnection("webAppHybridConnectionResource",
name="string",
namespace_name="string",
resource_group_name="string",
hostname="string",
kind="string",
port=0,
relay_arm_uri="string",
relay_name="string",
send_key_name="string",
send_key_value="string",
service_bus_namespace="string",
service_bus_suffix="string")
const webAppHybridConnectionResource = new azure_native.web.WebAppHybridConnection("webAppHybridConnectionResource", {
name: "string",
namespaceName: "string",
resourceGroupName: "string",
hostname: "string",
kind: "string",
port: 0,
relayArmUri: "string",
relayName: "string",
sendKeyName: "string",
sendKeyValue: "string",
serviceBusNamespace: "string",
serviceBusSuffix: "string",
});
type: azure-native:web:WebAppHybridConnection
properties:
hostname: string
kind: string
name: string
namespaceName: string
port: 0
relayArmUri: string
relayName: string
resourceGroupName: string
sendKeyName: string
sendKeyValue: string
serviceBusNamespace: string
serviceBusSuffix: string
WebAppHybridConnection Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The WebAppHybridConnection resource accepts the following input properties:
- Name string
- The name of the web app.
- Namespace
Name string - The namespace for this hybrid connection.
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Hostname string
- The hostname of the endpoint.
- Kind string
- Kind of resource.
- Port int
- The port of the endpoint.
- Relay
Arm stringUri - The ARM URI to the Service Bus relay.
- Relay
Name string - The name of the Service Bus relay.
- Send
Key stringName - The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
- Send
Key stringValue - The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
- Service
Bus stringNamespace - The name of the Service Bus namespace.
- Service
Bus stringSuffix - The suffix for the service bus endpoint. By default this is .servicebus.windows.net
- Name string
- The name of the web app.
- Namespace
Name string - The namespace for this hybrid connection.
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Hostname string
- The hostname of the endpoint.
- Kind string
- Kind of resource.
- Port int
- The port of the endpoint.
- Relay
Arm stringUri - The ARM URI to the Service Bus relay.
- Relay
Name string - The name of the Service Bus relay.
- Send
Key stringName - The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
- Send
Key stringValue - The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
- Service
Bus stringNamespace - The name of the Service Bus namespace.
- Service
Bus stringSuffix - The suffix for the service bus endpoint. By default this is .servicebus.windows.net
- name string
- The name of the web app.
- namespace_
name string - The namespace for this hybrid connection.
- resource_
group_ stringname - The name of the resource group. The name is case insensitive.
- hostname string
- The hostname of the endpoint.
- kind string
- Kind of resource.
- port number
- The port of the endpoint.
- relay_
arm_ stringuri - The ARM URI to the Service Bus relay.
- relay_
name string - The name of the Service Bus relay.
- send_
key_ stringname - The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
- send_
key_ stringvalue - The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
- service_
bus_ stringnamespace - The name of the Service Bus namespace.
- service_
bus_ stringsuffix - The suffix for the service bus endpoint. By default this is .servicebus.windows.net
- name String
- The name of the web app.
- namespace
Name String - The namespace for this hybrid connection.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- hostname String
- The hostname of the endpoint.
- kind String
- Kind of resource.
- port Integer
- The port of the endpoint.
- relay
Arm StringUri - The ARM URI to the Service Bus relay.
- relay
Name String - The name of the Service Bus relay.
- send
Key StringName - The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
- send
Key StringValue - The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
- service
Bus StringNamespace - The name of the Service Bus namespace.
- service
Bus StringSuffix - The suffix for the service bus endpoint. By default this is .servicebus.windows.net
- name string
- The name of the web app.
- namespace
Name string - The namespace for this hybrid connection.
- resource
Group stringName - The name of the resource group. The name is case insensitive.
- hostname string
- The hostname of the endpoint.
- kind string
- Kind of resource.
- port number
- The port of the endpoint.
- relay
Arm stringUri - The ARM URI to the Service Bus relay.
- relay
Name string - The name of the Service Bus relay.
- send
Key stringName - The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
- send
Key stringValue - The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
- service
Bus stringNamespace - The name of the Service Bus namespace.
- service
Bus stringSuffix - The suffix for the service bus endpoint. By default this is .servicebus.windows.net
- name str
- The name of the web app.
- namespace_
name str - The namespace for this hybrid connection.
- resource_
group_ strname - The name of the resource group. The name is case insensitive.
- hostname str
- The hostname of the endpoint.
- kind str
- Kind of resource.
- port int
- The port of the endpoint.
- relay_
arm_ struri - The ARM URI to the Service Bus relay.
- relay_
name str - The name of the Service Bus relay.
- send_
key_ strname - The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
- send_
key_ strvalue - The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
- service_
bus_ strnamespace - The name of the Service Bus namespace.
- service_
bus_ strsuffix - The suffix for the service bus endpoint. By default this is .servicebus.windows.net
- name String
- The name of the web app.
- namespace
Name String - The namespace for this hybrid connection.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- hostname String
- The hostname of the endpoint.
- kind String
- Kind of resource.
- port Number
- The port of the endpoint.
- relay
Arm StringUri - The ARM URI to the Service Bus relay.
- relay
Name String - The name of the Service Bus relay.
- send
Key StringName - The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
- send
Key StringValue - The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
- service
Bus StringNamespace - The name of the Service Bus namespace.
- service
Bus StringSuffix - The suffix for the service bus endpoint. By default this is .servicebus.windows.net
Outputs
All input properties are implicitly available as output properties. Additionally, the WebAppHybridConnection resource produces the following output properties:
- Azure
Api stringVersion - The Azure API version of the resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- System
Data Pulumi.Azure Native. Web. Outputs. System Data Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- Azure
Api stringVersion - The Azure API version of the resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- System
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure_
api_ stringversion - The Azure API version of the resource.
- id string
- The provider-assigned unique ID for this managed resource.
- system_
data object - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- id String
- The provider-assigned unique ID for this managed resource.
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api stringVersion - The Azure API version of the resource.
- id string
- The provider-assigned unique ID for this managed resource.
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure_
api_ strversion - The Azure API version of the resource.
- id str
- The provider-assigned unique ID for this managed resource.
- system_
data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- id String
- The provider-assigned unique ID for this managed resource.
- system
Data Property Map - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
Supporting Types
SystemDataResponse, SystemDataResponseArgs
Metadata pertaining to creation and last modification of the resource.- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at string - The timestamp of resource creation (UTC).
- created_
by string - The identity that created the resource.
- created_
by_ stringtype - The type of identity that created the resource.
- last_
modified_ stringat - The timestamp of resource last modification (UTC)
- last_
modified_ stringby - The identity that last modified the resource.
- last_
modified_ stringby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
- created
At string - The timestamp of resource creation (UTC).
- created
By string - The identity that created the resource.
- created
By stringType - The type of identity that created the resource.
- last
Modified stringAt - The timestamp of resource last modification (UTC)
- last
Modified stringBy - The identity that last modified the resource.
- last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at str - The timestamp of resource creation (UTC).
- created_
by str - The identity that created the resource.
- created_
by_ strtype - The type of identity that created the resource.
- last_
modified_ strat - The timestamp of resource last modification (UTC)
- last_
modified_ strby - The identity that last modified the resource.
- last_
modified_ strby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0
published on Saturday, Jul 18, 2026 by Pulumi